Capture Schell script error


 
Thread Tools Search this Thread
Top Forums Shell Programming and Scripting Capture Schell script error
# 1  
Old 11-05-2008
Capture Schell script error

I work on AIX 5.x.

I have a script which does lot of processing & calls multiple child scripts.

How do I capture the error of the parent script if it fails?

Thanks
Sumeet
# 2  
Old 11-05-2008
Well written scripts should exit with a non-zero error code if they fail, e.g. using exit 140, that way in your parent script you can detect the error and handle it appropriately, e.g.

Code:
$ cat parent.ksh
#!/usr/bin/ksh

if ./child_works.ksh
then
        print "./child_works.ksh completed successfully"
else
        print "./child_works.ksh failed with error code $?"
fi

if ./child_broken.ksh
then
        print "./child_broken.ksh completed successfully"
else
        print "./child_broken.ksh failed with error code $?"
fi
$ cat child_works.ksh
#!/usr/bin/ksh

echo "I succeeded"
exit 0
$ cat child_broken.ksh
#!/usr/bin/ksh

print "I failed"
exit 17
$ ./parent.ksh
I succeeded
./child_works.ksh completed successfully
I failed
./child_broken.ksh failed with error code 17
$

# 3  
Old 11-05-2008
Hi Annihilannic,

I got that part but I want to know - how do we track or capture a failure of parent script?

Thanks
# 4  
Old 11-05-2008
I don't know what you mean exactly... track it from where? Maybe you just need to log its output in a file?
Login or Register to Ask a Question

Previous Thread | Next Thread

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

Capture run time of python script executed inside shell script

I have bash shell script which is internally calling python script.I would like to know how long python is taking to execute.I am not allowed to do changes in python script.Please note i need to know execution time of python script which is getting executed inside shell .I need to store execution... (2 Replies)
Discussion started by: Adfire
2 Replies

2. Shell Programming and Scripting

How to capture the error code a use it in error table?

Hello Everyone, I have written a file validation script in unix to compare the data and trigger file.My requirement is if the file validation fails,I need to upate the error details in a table ex:Below is the one of many validation checks i am doing if then echo "Actual count between... (3 Replies)
Discussion started by: karthik adiga
3 Replies

3. Shell Programming and Scripting

How to prvenent giving password run time in schell scripting?

Hi I'm copying around 20 vi files from solaris server-A to server-B using 'scp' command.I have included all 20 scp commands in one shell script. Proplem is, while executing each scp command its prompting for my NIS password of server A. Please see below How to get rid of password prompt.??? (1 Reply)
Discussion started by: buzzme
1 Replies

4. Shell Programming and Scripting

How to capture the exit code of a shell script in a perl script.?

hi, i want to pop up an alert box using perl script. my requirement is. i am using a html page which calls a perl script. this perl script calls a shell script.. after the shell script ends its execution, i am using exit 0 to terminate the shell script successfully and exit 1 to terminate the... (3 Replies)
Discussion started by: Little
3 Replies

5. Shell Programming and Scripting

How to capture exit code of child script and send it to parent script?

#!/usr/local/bin/bash set -vx /prod/HotelierLinks/palaceLink/bin/PalacefilesWait /prod/HotelierLinks/palaceLink/bin/prodEnvSetup 03212013 & if then echo "fatal error: Palace/HardRock failed!!!!" 1>&2 echo "Palace Failed" | mail -s "Link Failed at Palace/HardRock" -c... (1 Reply)
Discussion started by: aroragaurav.84
1 Replies

6. Shell Programming and Scripting

Calling a servlet from schell script

Hi All, I have deployed a servlet on my server and the u r l is http:// localhost:9080/ ExampleApp / TestJackServlet This works fine when i launch this URL from the browser I am looking for shell script to hit the servlet or hit the URL without launching the browser session. I... (3 Replies)
Discussion started by: jack3698
3 Replies

7. Shell Programming and Scripting

Need help(sh script)--schell scripting

Hello everybody. Result of my script is coming out to be as mentioned in the below format. Output:: Modified records are as follows = = @abc.core.admin.jonas_user@ = value221 @abccsd.core.admin.pltf_name@ = valuee991 = = ####################################### I need to get... (3 Replies)
Discussion started by: shahidbakshi
3 Replies

8. Shell Programming and Scripting

need assistance ----SH schell script

Hello All, I need to develop a script(SH]) to generate a comparison file between two files old and new file.The script takes in parameter the old file path and the new file path. And the script generates a file containing the comparison between the two files with this details: - Keys... (2 Replies)
Discussion started by: shahidbakshi
2 Replies

9. Shell Programming and Scripting

creating reports using shell schell script

please advise..very urgent. purpose of my script is that it should generate a report by running a sql script which is stored in a directory and pull the information from DB.script shld be in such a way that I just need to pass a parameter and it shld generate the report and store it in a... (1 Reply)
Discussion started by: complicated
1 Replies

10. Shell Programming and Scripting

writing schell scripts

I am very new to Unix. I need to write a script that will grep some files, etc. When I write the script, do I need to know what shell I am using? If so, how do I do that? (1 Reply)
Discussion started by: ssmiths001
1 Replies
Login or Register to Ask a Question